=== debian/changelog ===
geneweb (6.08+git20160228+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Guillaume Brochu ]
  * New upstream release to fix compatibility problems with OCAML >=4.02
    https://github.com/geneweb/geneweb/archive/f658e5836554624435b9e46b75c9b2ac0ac61029.tar.gz
    https://github.com/geneweb/geneweb/commits/distrib-6-08-ocaml-4-xx
    (Last commit : 2016-02-28)
    https://github.com/geneweb/geneweb/issues/9
    Thanks to Fabien/Ipfix for the preparation of this special version.
    Closes: #815485
    Closes: #815528
  * Add ocaml-findlib to Build-Depends to benefit from changes in configure

  [ Christian Perrier ]
  * Bump debhelper compatibility level to 9 (no real change)
  * Bump Standards to 3.9.7 (checked, no change needed)
  * Do not define GPL-2 twice in debian/copyright
  * Adapt copyright lines for debian/*

 -- Guillaume Brochu (Lévis,Québec,Canada) <guillaume.brochu@gmail.com>  Sun, 13 Mar 2016 11:37:55 -0400

geneweb (6.08dfsg-5) unstable; urgency=medium

  * Fix output_hashtbl in db2out by backporting upstream's git fix
    from
    https://github.com/geneweb/geneweb/commit/b5d312152755b33cafbdba71f233ec02e7205d0e
    Thanks to Peter Gervai for pointing this (gwc2 was broken by this, with Ocaml 4.x)

 -- Christian Perrier <bubulle@debian.org>  Sun, 14 Feb 2016 16:02:14 +0100

geneweb (6.08dfsg-4) unstable; urgency=medium

  * Update README.source to fit the switch to git. Only mention
    the use of git-import-orig.
    Closes: #808705
  * mktemplates: always treat PO files as text even when grep thinks
    they're binary data. Closes: #814429
    Thanks to Peter Gervai for the analysis of this weird cause of FTBFS
    at full moon time.

 -- Christian Perrier <bubulle@debian.org>  Thu, 11 Feb 2016 19:05:43 +0100
