=== debian/changelog ===
geneweb (6.08+git20161106+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Guillaume Brochu ]
  * Use default compression for dh_builddeb in debian/rules
    Closes: #845757
  * Add a paragraph about geneweb-gui in README.debian
  * Remove MultipleArgs in .desktop files to clear a Lintian warning

 -- Guillaume Brochu (Lévis,Québec,Canada) <guillaume.brochu@gmail.com>  Sat, 26 Nov 2016 18:10:00 -0500

geneweb (6.08+git20161106+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Guillaume Brochu ]
  * New upstream release to fix links and other minor bugs
    https://github.com/geneweb/geneweb/archive/13c850a0cc3973daf7ae3e0772a1621f84052041.tar.gz
    https://github.com/geneweb/geneweb/commits/distrib-6-08-ocaml-4-xx
    (Last commit : 2016-11-06)
  * Standards-Version: 3.9.8
  * Update .desktop files and icons
  * Remove .menu files
  * Add ged2gwb2 to usr/bin (was previously missing)
  * Update README.docs-6.x, README.source, copyright, Homepage link,
    and Vcs-Browser link
  * Update the required ocaml version in Build-Depends (>= 4.02)
  * Add lsb-base (>= 3.0-6) to gwsetup dependencies
  * Fix patch 010_gwsetup-fhs to use upstream code for the -only argument
  * Supply the '-only' argument to gwsetup in gwsetup.wrapper
    Closes: #844120
  * Improve the packaging of geneweb-gui. It is now possible to browse/edit
    bases in /home folder (alternative to geneweb and gwsetup daemons that
    work with bases in /var/lib/geneweb).

 -- Guillaume Brochu (Lévis,Québec,Canada) <guillaume.brochu@gmail.com>  Sat, 19 Nov 2016 00:12:00 -0500

geneweb (6.08+git20160228+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Guillaume Brochu ]
  * Add libjs-jquery and libjs-jquery-placeholder to geneweb Depends
  * Fix templates to use these two Debian packages instead of the
    two jquery*.js files provided in the upstream tarball and removed
    previously to meet Debian Free Software Guidelines
    Closes: #819271
  * Fix minor bugs in templx (broken links and male/female
    lines limited to 7 generations)
  * Remove obsolete patches and clean makefile patches
  * As an attempt to make geneweb package reproducible: do not include
    the compilation time in source file src/compilation.ml
  * Small fix to patch 010_gwsetup-fhs (to have similar command lines
    for gwc and gwc2)
  * Fix the geneweb-gui binary package to work properly with the
    specific directory structure of the geneweb package
  * Remove perl from geneweb Depends (nobody remembers why it is there...)
  * Remove obsolete paragraph in README.debian

 -- Guillaume Brochu (Lévis,Québec,Canada) <guillaume.brochu@gmail.com>  Mon, 04 Apr 2016 22:42:50 -0400
