=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: misc
 Priority: optional
 Maintainer: Christian Perrier <bubulle@debian.org>
-Standards-Version: 3.9.7
-Build-Depends: debhelper (>= 9~), ocaml-best-compilers, ocaml (>= 3.04), camlp5, doc-base, dh-buildinfo, iso-codes, isoquery, po-debconf, liblablgtk2-ocaml-dev, ocaml-findlib
-Homepage: http://www.geneweb.org/
+Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 9~), ocaml-best-compilers, ocaml (>= 4.02), camlp5, doc-base, dh-buildinfo, iso-codes, isoquery, po-debconf, liblablgtk2-ocaml-dev, ocaml-findlib
+Homepage: http://geneweb.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/geneweb.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/geneweb.git;a=summary
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/geneweb.git/
 
 Package: geneweb
 Section: misc
 Architecture: any
-Depends: ${shlibs:Depends}, perl, lsb-base (>= 3.0-6)
+Depends: ${shlibs:Depends}, lsb-base (>= 3.0-6), libjs-jquery, libjs-jquery-placeholder
 Pre-Depends: ${misc:Depends}, iso-codes, isoquery, adduser, dpkg (>= 1.15.6~)
 Suggests: gwtp, gwsetup, lynx | www-browser, geneweb-gui
 Priority: optional
@@ -46,7 +46,7 @@
 Section: misc
 Architecture: any
 Pre-Depends: adduser, dpkg (>= 1.15.6~)
-Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb
+Depends: ${misc:Depends}, ${shlibs:Depends}, geneweb, lsb-base (>= 3.0-6)
 Priority: optional
 Description: utilities to configure and manipulate Geneweb databases
  Geneweb allows keeping track of ancestral data. It is a powerful
