=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 override_dh_auto_build:
 	# Move the proper makefile into place	
-	cp -f `pwd`/tools/Makefile.inc.$(WAY) `pwd`/tools/Makefile.inc
+	cp -f `pwd`/tools/Makefile.debian.$(WAY) `pwd`/tools/Makefile.debian
 	chmod a+x tools/*.sh
 	$(MAKE) $(WAY)
 	$(MAKE) distrib
@@ -67,5 +67,3 @@
 	debian/mktemplates
 	dh_installdebconf
 
-override_dh_builddeb:
-	dh_builddeb -- -Zxz -Sextreme -z9
