## geneweb 6.08+git20180420+dfsg

=== Makefile ===
--- 
+++ 
@@ -79,14 +79,19 @@
 	  echo -ne 'start /MIN ..\\gw\\gwsetup -lang fr -gd ..\\gw\r\n' >> $(DESTDIR)/gwsetup.bat; \
 	else \
 	  (echo '#!/bin/sh'; \
+	   echo 'cd `dirname $$0`'; \
 	   echo 'mkdir -p bases'; \
 	   echo 'cd bases'; \
 	   echo 'exec ../gw/gwd -hd ../gw "$$@"') > $(DESTDIR)/gwd; \
 	  (echo '#!/bin/sh'; \
+	   echo 'cd `dirname $$0`'; \
 	   echo 'mkdir -p bases'; \
 	   echo 'cd bases'; \
 	   echo 'exec ../gw/gwsetup -gd ../gw "$$@"') > $(DESTDIR)/gwsetup; \
 	  chmod +x $(DESTDIR)/gwd $(DESTDIR)/gwsetup; \
+	fi
+	if test $(shell uname -s) = "Darwin"; then \
+	  cp etc/MacOSX/GeneWeb.command $(DESTDIR); \
 	fi
 
 new_distrib: classical_distrib
