=== debian/changelog ===
geneweb (6.08+git20180420+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Guillaume Brochu ]
  * Correction of an error left in the previous release:
    Use -unsafe-string for both compiler options

 -- Guillaume Brochu (Lévis,Québec,Canada) <guillaume.brochu@gmail.com>  Mon, 30 Apr 2018 19:20:00 -0400

geneweb (6.08+git20180420+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Guillaume Brochu ]
  * New upstream release to be ready for OCAML 4.06
    and for future use of -safe-string
    https://github.com/geneweb/geneweb/archive/4c0c79a27f87e817168215c078aca27387a463fb.tar.gz
    https://github.com/geneweb/geneweb/commits/distrib-6-08-ocaml-4-xx
    (Last commit : 2018-04-20)
  * Standards-Version: 4.1.4

 -- Guillaume Brochu (Lévis,Québec,Canada) <guillaume.brochu@gmail.com>  Sat, 28 Apr 2018 19:05:00 -0400
 
