=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Christian Perrier <bubulle@debian.org>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.4
 Build-Depends: debhelper (>= 9~), ocaml-best-compilers, ocaml (>= 4.02), camlp5, doc-base, dh-buildinfo, iso-codes, isoquery, po-debconf, liblablgtk2-ocaml-dev, ocaml-findlib
 Homepage: http://geneweb.org
 Vcs-Git: git://anonscm.debian.org/collab-maint/geneweb.git
